Debian Bug report logs - #284340
Remove reference to UC in BSD license or remove license

version graph

Package: debian-policy; Maintainer for debian-policy is Debian Policy List <debian-policy@lists.debian.org>; Source for debian-policy is src:debian-policy.

Reported by: Francesco Poli <invernomuto@paranoici.org>

Date: Sun, 5 Dec 2004 17:03:03 UTC

Severity: wishlist

Fixed in version debian-policy/3.9.0.0

Done: Russ Allbery <rra@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-legal@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#284340; Package base-files. Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
New Bug report received and forwarded. Copy sent to debian-legal@lists.debian.org, Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: base-files: Please remove reference to UC in BSD license and add other licenses
Date: Sun, 05 Dec 2004 17:50:13 +0100
Package: base-files
Version: 3.0.2
Severity: wishlist


Please remove reference to a specific copyright holder (The Regents of 
the University of California) in /usr/share/common-licenses/BSD and 
rename it 3-clause-BSD. Including only one narrow variant of the
BSD license seems highly error-prone.

Moreover, please add 2 clause BSD license, Expat (a.k.a. MIT) license,
and X11 (a.k.a. MIT) license in /usr/share/common-licenses/

Refer to http://lists.debian.org/debian-legal/2004/11/msg00158.html and 
following few replies.



In other words, I would think that the following licenses belong in
/usr/share/common-licenses/  :


GPL-2  LGPL-2  LGPL-2.1  Artistic
 --- as they are just now


2-clause-BSD
 --- as in  http://www.fsf.org/licenses/info/BSD_2Clause.html

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

    * Redistributions of source code must retain the above copyright
      notice, this list of conditions and the following disclaimer.

    * Redistributions in binary form must reproduce the above
      copyright notice, this list of conditions and the following
      disclaimer in the documentation and/or other materials provided
      with the distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


3-clause-BSD
 --- as in  http://www.fsf.org/licenses/info/BSD_3Clause.html

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

    * Redistributions of source code must retain the above copyright
      notice, this list of conditions and the following disclaimer.

    * Redistributions in binary form must reproduce the above
      copyright notice, this list of conditions and the following
      disclaimer in the documentation and/or other materials provided
      with the distribution.

    * Neither the name of [original copyright holder] nor the names of
      its contributors may be used to endorse or promote products
      derived from this software without specific prior written
      permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Expat-MIT
 --- as in  http://www.jclark.com/xml/copying.txt  but with copyright 
holders pulled out

Permission is hereby granted, free of charge, to any person obtaining
a copy of this software and associated documentation files (the
"Software"), to deal in the Software without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to
the following conditions:

The above copyright notice and this permission notice shall be included
in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.


X11-MIT
 --- as in  http://www.x.org/Downloads_terms.html  but with copyright 
holders pulled out

Permission is hereby granted, free of charge, to any person obtaining a 
copy of this software and associated documentation files (the 
"Software"), to deal in the Software without restriction, including 
without limitation the rights to use, copy, modify, merge, publish, 
distribute, and/or sell copies of the Software, and to permit persons 
to whom the Software is furnished to do so, provided that the above 
copyright notice(s) and this permission notice appear in all copies of 
the Software and that both the above copyright notice(s) and this 
permission notice appear in supporting documentation.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS 
OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF 
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT 
OF THIRD PARTY RIGHTS. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR 
HOLDERS INCLUDED IN THIS NOTICE BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL 
INDIRECT OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING 
FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, 
NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION 
WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

Except as contained in this notice, the name of a copyright holder 
shall not be used in advertising or otherwise to promote the sale, use 
or other dealings in this Software without prior written authorization 
of the copyright holder.





-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux neverland 2.4.28 #1 Wed Nov 17 22:17:37 CET 2004 i686
Locale: LANG=C, LC_CTYPE=

Versions of packages base-files depends on:
ii  base-passwd                   3.4.1      Debian Base System Password/Group 
ii  gawk [awk]                    1:3.1.0-3  GNU awk, a pattern scanning and pr
ii  mawk [awk]                    1.3.3-8    a pattern scanning and text proces




Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#284340; Package base-files. Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #10 received at 284340@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Francesco Poli <frx@firenze.linux.it>, 284340@bugs.debian.org
Cc: control@bugs.debian.org, debian-legal@lists.debian.org, debian-policy@lists.debian.org
Subject: Re: Bug#284340: base-files: Please remove reference to UC in BSD license and add other licenses
Date: Sun, 5 Dec 2004 18:35:03 +0100 (CET)
reassign 284340 debian-policy
thanks

On Sun, 5 Dec 2004, Francesco Poli wrote:

> Package: base-files
> Version: 3.0.2
> Severity: wishlist
> 
> 
> Please remove reference to a specific copyright holder (The Regents of 
> the University of California) in /usr/share/common-licenses/BSD and 
> rename it 3-clause-BSD. Including only one narrow variant of the
> BSD license seems highly error-prone.
> 
> Moreover, please add 2 clause BSD license, Expat (a.k.a. MIT) license,
> and X11 (a.k.a. MIT) license in /usr/share/common-licenses/
> 
> Refer to http://lists.debian.org/debian-legal/2004/11/msg00158.html and 
> following few replies.
> 
> 
> 
> In other words, I would think that the following licenses belong in
> /usr/share/common-licenses/  :
> [...]

You probably have not read base-files FAQ. Please read the answer
to this question:

Q. Why isn't license "foo" included in common-licenses?


IMHO, the licenses you propose to be added to /usr/share/common-licenses
are short enough that no disk space is saved at all by having a "single"
copy in base-files. For this reason I think we could even remove the
current BSD license itself, since it's just 1499 bytes long.



Bug reassigned from package `base-files' to `debian-policy'. Request was from Santiago Vila <sanvila@unex.es> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#284340; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <allomber@math.u-bordeaux.fr>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #17 received at 284340@bugs.debian.org (full text, mbox):

From: Bill Allombert <allomber@math.u-bordeaux.fr>
To: 284340@bugs.debian.org
Subject: Re: Bug#284340: base-files: Please remove reference to UC in BSD license and add other licenses
Date: Sun, 5 Dec 2004 18:58:52 +0100
On Sun, Dec 05, 2004 at 06:35:03PM +0100, Santiago Vila wrote:
> > Please remove reference to a specific copyright holder (The Regents of 
> > the University of California) in /usr/share/common-licenses/BSD and 
> > rename it 3-clause-BSD. Including only one narrow variant of the
> > BSD license seems highly error-prone.
> > 
> > Moreover, please add 2 clause BSD license, Expat (a.k.a. MIT) license,
> > and X11 (a.k.a. MIT) license in /usr/share/common-licenses/
> 
> IMHO, the licenses you propose to be added to /usr/share/common-licenses
> are short enough that no disk space is saved at all by having a "single"
> copy in base-files. For this reason I think we could even remove the
> current BSD license itself, since it's just 1499 bytes long.

On the other hand, it make sense to include licenses explicitely
mentioned by the social contract text for references, so there is
no ambiguity which license we mean:

 10. Example Licenses

     The "GPL", "BSD", and "Artistic" licenses are examples of licenses that
     we consider "free".

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#284340; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Glenn Maynard <glenn@zewt.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #22 received at 284340@bugs.debian.org (full text, mbox):

From: Glenn Maynard <glenn@zewt.org>
To: debian-legal@lists.debian.org
Cc: 284340@bugs.debian.org
Subject: Re: Bug#284340: base-files: Please remove reference to UC in BSD license and add other licenses
Date: Sun, 5 Dec 2004 15:33:54 -0500
On Sun, Dec 05, 2004 at 06:35:03PM +0100, Santiago Vila wrote:
> IMHO, the licenses you propose to be added to /usr/share/common-licenses
> are short enough that no disk space is saved at all by having a "single"
> copy in base-files. For this reason I think we could even remove the
> current BSD license itself, since it's just 1499 bytes long.

Using the BSD license for a project not owned by UofC requires changing
the texts "the University" and "BY THE REGENTS".  So, is it generally
even valid to link to that file, anyway?

-- 
Glenn Maynard



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#284340; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #27 received at 284340@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: 284340@bugs.debian.org
Cc: debian-legal@lists.debian.org, debian-policy@lists.debian.org
Subject: Re: Bug#284340: base-files: Please remove reference to UC in BSD license and add other licenses
Date: Mon, 6 Dec 2004 22:19:46 +0100
[Message part 1 (text/plain, inline)]
On Sun, 5 Dec 2004 18:35:03 +0100 (CET) Santiago Vila wrote:

> reassign 284340 debian-policy
> thanks

Whooops...  :p

[...]
> > In other words, I would think that the following licenses belong in
> > /usr/share/common-licenses/  :
> > [...]
> 
> You probably have not read base-files FAQ.

You are quite right: I haven't...
I apologize for this.  

The reason is that no such FAQ exists in Woody and I didn't know that
such a file was included in Sarge/Sid...  :p

> Please read the answer to this question:
> 
> Q. Why isn't license "foo" included in common-licenses?

Mmmmh, I see. The answer is:

| A. I delegate such decisions to the policy group. If you want to
| propose a new license you should make a policy proposal to modify the
| paragraph in policy saying "Packages distributed under the UCB BSD
| license, Artistic license, GNU GPL and GNU LGPL should refer to the
| files in /usr/share/common-licenses". The way of doing this is
| explained in the debian-policy package. As usual, you should always
| take a look at already reported bugs against debian-policy before
| submitting a new one.

> IMHO, the licenses you propose to be added to
> /usr/share/common-licenses are short enough that no disk space is
> saved at all by having a "single" copy in base-files. For this reason
> I think we could even remove the current BSD license itself, since
> it's just 1499 bytes long.

Yes, they are fairly short.
But, IMVHO, having them in /usr/share/common-licenses would help to
clarify their differences and their canonical text and proper name.

Moreover the current BSD license includes (as I said) a particular
copyright holder's name: referring to it (or even copying & pasting it)
would often be a mistake.

I still think that my proposed common-licenses reordering would benefit
Debian...

-- 
          Today is the tomorrow you worried about yesterday.
......................................................................
  Francesco Poli                             GnuPG Key ID = DD6DFCF4
 Key fingerprint = C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Tags added: wontfix Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Mon, 17 Mar 2008 05:24:39 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#284340; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #34 received at 284340@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 284340@bugs.debian.org
Subject: Re: Bug#284340: Please remove reference to UC in BSD license
Date: Fri, 06 Jun 2008 12:00:47 -0700
package debian-policy
user debian-policy@packages.debian.org
retitle 284340 Remove reference to UC in BSD license or remove license
usertag 284340 = normative discussion
tags 284340 -wontfix
thanks

This bug proposed two changes: first, remove the specific reference to the
University of California from the BSD license in common-licenses, and
second, add several other similar licenses (two-clause BSD, Expat, and
X11).

I'm rejecting the second change on the grounds recently discussed on the
debian-policy list in several other bugs about license files, namely that
the purpose of the common-licenses directory is to save archive space for
long and complex licenses and these licenses are all short and simple to
include in debian/copyright.  Furthermore, these licenses frequently have
slightly different wording or embed different copyright holder names in
the license text, meaning that correctly referring to a shared central
copy is tricky and won't be possible for as many packages as it might
first appear.

However, the first change in this bug is still relevant, and there doesn't
appear to be another open bug on this issue.  The current BSD license in
common-licenses is not particularly useful since it specifically lists the
University of California as the copyright holder and therefore can only be
used to refer to UC-licensed code, not anything else under the same
license.  That specific copyright holder should probably either be removed
or the whole license should be removed from common-licenses.  My
preference would be the latter, but we'd first need to find any packages
that refer to the file and add the license text to the packages in
question.

If someone would tackle that research, that would be very helpful.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Changed Bug title to `Remove reference to UC in BSD license or remove license' from `base-files: Please remove reference to UC in BSD license and add other licenses'. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Fri, 06 Jun 2008 22:54:11 GMT) Full text and rfc822 format available.

Tags removed: wontfix Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Fri, 06 Jun 2008 22:54:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#284340; Package debian-policy. (Thu, 10 Jun 2010 20:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Thu, 10 Jun 2010 20:15:03 GMT) Full text and rfc822 format available.

Message #43 received at 284340@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 284340@bugs.debian.org, sanvila@debian.org
Subject: Re: Bug#284340: Please remove reference to UC in BSD license
Date: Thu, 10 Jun 2010 13:13:23 -0700
Russ Allbery <rra@debian.org> writes:

> However, the first change in this bug is still relevant, and there
> doesn't appear to be another open bug on this issue.  The current BSD
> license in common-licenses is not particularly useful since it
> specifically lists the University of California as the copyright holder
> and therefore can only be used to refer to UC-licensed code, not
> anything else under the same license.  That specific copyright holder
> should probably either be removed or the whole license should be removed
> from common-licenses.  My preference would be the latter, but we'd first
> need to find any packages that refer to the file and add the license
> text to the packages in question.

> If someone would tackle that research, that would be very helpful.

I have now, much later, done that research, or at least part of it.  1,556
packages in Debian currently reference /usr/share/doc/common-licenses/BSD.
While I'm sure many of those actually contain UC-licensed material, I
suspect many of them are in error.  However, that's 1,556 packages that
would be made instantly buggy by removing the license.

I therefore propose proceeding as follows:

1. Add a new Lintian warning asking people to stop using the
   common-licenses link for the BSD license and instead include the
   license directly in debian/copyright.  As we've discussed in the past,
   this is the best course of action for short and simple licenses,
   particularly ones that can have some wording difference.  The BSD
   license isn't long enough to warrant the extra indirection.  The
   warning can also mention that the license isn't appropriate for code
   that isn't owned by the University of California.

2. Apply the patch to Policy included below, which removes this license
   from the list of licenses we tell people to reference from
   /usr/share/common-licenses and explains why.

3. Based on the Lintian results, watch the count of packages using this
   reference and, if it gets low enough, clean up the rest with a mass bug
   filing and then drop the file from base-files.

Any further discussion?  I'm also looking for seconds for the Policy patch
below:

diff --git a/policy.sgml b/policy.sgml
index 87b9795..02d6f8d 100644
--- a/policy.sgml
+++ b/policy.sgml
@@ -9227,14 +9227,13 @@ END-INFO-DIR-ENTRY
 	</p>
 
 	<p>
-	  Packages distributed under the UCB BSD license, the Apache
-	  license (version 2.0), the Artistic license, the GNU GPL
-	  (version 2 or 3), the GNU LGPL (versions 2, 2.1, or 3), and the
-	  GNU FDL (versions 1.2 or 1.3) should refer to the corresponding
-	  files under <file>/usr/share/common-licenses</file>,<footnote>
+	  Packages distributed under the Apache license (version 2.0), the
+	  Artistic license, the GNU GPL (version 2 or 3), the GNU LGPL
+	  (versions 2, 2.1, or 3), and the GNU FDL (versions 1.2 or 1.3)
+	  should refer to the corresponding files
+	  under <file>/usr/share/common-licenses</file>,<footnote>
 	    <p>
 	      In particular,
-              <file>/usr/share/common-licenses/BSD</file>,
               <file>/usr/share/common-licenses/Apache-2.0</file>,
               <file>/usr/share/common-licenses/Artistic</file>,
               <file>/usr/share/common-licenses/GPL-2</file>,
@@ -9244,7 +9243,14 @@ END-INFO-DIR-ENTRY
               <file>/usr/share/common-licenses/LGPL-3</file>,
               <file>/usr/share/common-licenses/GFDL-1.2</file>, and
               <file>/usr/share/common-licenses/GFDL-1.3</file>
-              respectively.
+	      respectively.  The University of California BSD license is
+	      also included in <package>base-files</package> as
+	      <file>/usr/share/common-licenses/BSD</file>, but given the
+	      brevity of this license, its specificity to code whose
+	      copyright is held by the Regents of the Univesrity of
+	      California, and the frequency of minor wording changes, its
+	      text should be included in the copyright file rather than
+	      referencing this file.
             </p>
           </footnote> rather than quoting them in the copyright
 	  file. 

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Added tag(s) patch. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Thu, 10 Jun 2010 20:15:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#284340; Package debian-policy. (Thu, 10 Jun 2010 22:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emilio Pozuelo Monfort <pochu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Thu, 10 Jun 2010 22:09:03 GMT) Full text and rfc822 format available.

Message #50 received at 284340@bugs.debian.org (full text, mbox):

From: Emilio Pozuelo Monfort <pochu@debian.org>
To: Russ Allbery <rra@debian.org>, 284340@bugs.debian.org
Subject: Re: Bug#284340: Please remove reference to UC in BSD license
Date: Fri, 11 Jun 2010 00:07:03 +0200
[Message part 1 (text/plain, inline)]
On 10/06/10 22:13, Russ Allbery wrote:
> I therefore propose proceeding as follows:
> 
> 1. Add a new Lintian warning asking people to stop using the
>    common-licenses link for the BSD license and instead include the
>    license directly in debian/copyright.  As we've discussed in the past,
>    this is the best course of action for short and simple licenses,
>    particularly ones that can have some wording difference.  The BSD
>    license isn't long enough to warrant the extra indirection.  The
>    warning can also mention that the license isn't appropriate for code
>    that isn't owned by the University of California.
> 
> 2. Apply the patch to Policy included below, which removes this license
>    from the list of licenses we tell people to reference from
>    /usr/share/common-licenses and explains why.
> 
> 3. Based on the Lintian results, watch the count of packages using this
>    reference and, if it gets low enough, clean up the rest with a mass bug
>    filing and then drop the file from base-files.

That sounds good to me.

> Any further discussion?  I'm also looking for seconds for the Policy patch
> below:
> 
> diff --git a/policy.sgml b/policy.sgml
> index 87b9795..02d6f8d 100644
> --- a/policy.sgml
> +++ b/policy.sgml
> @@ -9227,14 +9227,13 @@ END-INFO-DIR-ENTRY
>  	</p>
>  
>  	<p>
> -	  Packages distributed under the UCB BSD license, the Apache
> -	  license (version 2.0), the Artistic license, the GNU GPL
> -	  (version 2 or 3), the GNU LGPL (versions 2, 2.1, or 3), and the
> -	  GNU FDL (versions 1.2 or 1.3) should refer to the corresponding
> -	  files under <file>/usr/share/common-licenses</file>,<footnote>
> +	  Packages distributed under the Apache license (version 2.0), the
> +	  Artistic license, the GNU GPL (version 2 or 3), the GNU LGPL
> +	  (versions 2, 2.1, or 3), and the GNU FDL (versions 1.2 or 1.3)
> +	  should refer to the corresponding files
> +	  under <file>/usr/share/common-licenses</file>,<footnote>
>  	    <p>
>  	      In particular,
> -              <file>/usr/share/common-licenses/BSD</file>,
>                <file>/usr/share/common-licenses/Apache-2.0</file>,
>                <file>/usr/share/common-licenses/Artistic</file>,
>                <file>/usr/share/common-licenses/GPL-2</file>,
> @@ -9244,7 +9243,14 @@ END-INFO-DIR-ENTRY
>                <file>/usr/share/common-licenses/LGPL-3</file>,
>                <file>/usr/share/common-licenses/GFDL-1.2</file>, and
>                <file>/usr/share/common-licenses/GFDL-1.3</file>
> -              respectively.
> +	      respectively.  The University of California BSD license is
> +	      also included in <package>base-files</package> as
> +	      <file>/usr/share/common-licenses/BSD</file>, but given the
> +	      brevity of this license, its specificity to code whose
> +	      copyright is held by the Regents of the Univesrity of
> +	      California, and the frequency of minor wording changes, its
> +	      text should be included in the copyright file rather than
> +	      referencing this file.
>              </p>
>            </footnote> rather than quoting them in the copyright
>  	  file. 
> 

Seconded.

Cheers,
Emilio

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#284340; Package debian-policy. (Thu, 10 Jun 2010 22:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Thu, 10 Jun 2010 22:24:04 GMT) Full text and rfc822 format available.

Message #55 received at 284340@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 284340@bugs.debian.org
Subject: Re: Bug#284340: Please remove reference to UC in BSD license
Date: Fri, 11 Jun 2010 00:23:25 +0200
[Message part 1 (text/plain, inline)]
* Russ Allbery <rra@debian.org>, 2010-06-10, 13:13:
>diff --git a/policy.sgml b/policy.sgml
>index 87b9795..02d6f8d 100644
>--- a/policy.sgml
>+++ b/policy.sgml
>@@ -9227,14 +9227,13 @@ END-INFO-DIR-ENTRY
> 	</p>
>
> 	<p>
>-	  Packages distributed under the UCB BSD license, the Apache
>-	  license (version 2.0), the Artistic license, the GNU GPL
>-	  (version 2 or 3), the GNU LGPL (versions 2, 2.1, or 3), and the
>-	  GNU FDL (versions 1.2 or 1.3) should refer to the corresponding
>-	  files under <file>/usr/share/common-licenses</file>,<footnote>
>+	  Packages distributed under the Apache license (version 2.0), the
>+	  Artistic license, the GNU GPL (version 2 or 3), the GNU LGPL
>+	  (versions 2, 2.1, or 3), and the GNU FDL (versions 1.2 or 1.3)
>+	  should refer to the corresponding files
>+	  under <file>/usr/share/common-licenses</file>,<footnote>
> 	    <p>
> 	      In particular,
>-              <file>/usr/share/common-licenses/BSD</file>,
>               <file>/usr/share/common-licenses/Apache-2.0</file>,
>               <file>/usr/share/common-licenses/Artistic</file>,
>               <file>/usr/share/common-licenses/GPL-2</file>,
>@@ -9244,7 +9243,14 @@ END-INFO-DIR-ENTRY
>               <file>/usr/share/common-licenses/LGPL-3</file>,
>               <file>/usr/share/common-licenses/GFDL-1.2</file>, and
>               <file>/usr/share/common-licenses/GFDL-1.3</file>
>-              respectively.
>+	      respectively.  The University of California BSD license is
>+	      also included in <package>base-files</package> as
>+	      <file>/usr/share/common-licenses/BSD</file>, but given the
>+	      brevity of this license, its specificity to code whose
>+	      copyright is held by the Regents of the Univesrity of
>+	      California, and the frequency of minor wording changes, its
>+	      text should be included in the copyright file rather than
>+	      referencing this file.
>             </p>
>           </footnote> rather than quoting them in the copyright
> 	  file.

Seconded.

-- 
Jakub Wilk
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#284340; Package debian-policy. (Thu, 10 Jun 2010 22:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Thu, 10 Jun 2010 22:45:03 GMT) Full text and rfc822 format available.

Message #60 received at 284340@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Russ Allbery <rra@debian.org>, 284340@bugs.debian.org
Subject: Re: Bug#284340: Please remove reference to UC in BSD license
Date: Fri, 11 Jun 2010 00:43:01 +0200
[Message part 1 (text/plain, inline)]
On Thu, 10 Jun 2010 13:13:23 -0700, Russ Allbery wrote:

> Any further discussion?  

Sounds logcial to me.

> I'm also looking for seconds for the Policy patch
> below:
> 
> diff --git a/policy.sgml b/policy.sgml
> index 87b9795..02d6f8d 100644
> --- a/policy.sgml
> +++ b/policy.sgml
> @@ -9227,14 +9227,13 @@ END-INFO-DIR-ENTRY
>  	</p>
>  
>  	<p>
> -	  Packages distributed under the UCB BSD license, the Apache
> -	  license (version 2.0), the Artistic license, the GNU GPL
> -	  (version 2 or 3), the GNU LGPL (versions 2, 2.1, or 3), and the
> -	  GNU FDL (versions 1.2 or 1.3) should refer to the corresponding
> -	  files under <file>/usr/share/common-licenses</file>,<footnote>
> +	  Packages distributed under the Apache license (version 2.0), the
> +	  Artistic license, the GNU GPL (version 2 or 3), the GNU LGPL
> +	  (versions 2, 2.1, or 3), and the GNU FDL (versions 1.2 or 1.3)
> +	  should refer to the corresponding files
> +	  under <file>/usr/share/common-licenses</file>,<footnote>
>  	    <p>
>  	      In particular,
> -              <file>/usr/share/common-licenses/BSD</file>,
>                <file>/usr/share/common-licenses/Apache-2.0</file>,
>                <file>/usr/share/common-licenses/Artistic</file>,
>                <file>/usr/share/common-licenses/GPL-2</file>,
> @@ -9244,7 +9243,14 @@ END-INFO-DIR-ENTRY
>                <file>/usr/share/common-licenses/LGPL-3</file>,
>                <file>/usr/share/common-licenses/GFDL-1.2</file>, and
>                <file>/usr/share/common-licenses/GFDL-1.3</file>
> -              respectively.
> +	      respectively.  The University of California BSD license is
> +	      also included in <package>base-files</package> as
> +	      <file>/usr/share/common-licenses/BSD</file>, but given the
> +	      brevity of this license, its specificity to code whose
> +	      copyright is held by the Regents of the Univesrity of
> +	      California, and the frequency of minor wording changes, its
> +	      text should be included in the copyright file rather than
> +	      referencing this file.
>              </p>
>            </footnote> rather than quoting them in the copyright
>  	  file. 

Seconded.

Cheers,
gregor
 
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Queen: You Don't Fool Me
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#284340; Package debian-policy. (Sat, 12 Jun 2010 17:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sat, 12 Jun 2010 17:54:04 GMT) Full text and rfc822 format available.

Message #65 received at 284340@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 284340@bugs.debian.org
Cc: sanvila@debian.org
Subject: Re: Bug#284340: Please remove reference to UC in BSD license
Date: Sat, 12 Jun 2010 10:51:15 -0700
Russ Allbery <rra@debian.org> writes:

> 2. Apply the patch to Policy included below, which removes this license
>    from the list of licenses we tell people to reference from
>    /usr/share/common-licenses and explains why.

This patch has now been merged for the next release.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Added tag(s) pending; removed tag(s) patch. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Sat, 12 Jun 2010 17:54:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#284340; Package debian-policy. (Mon, 14 Jun 2010 10:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Mon, 14 Jun 2010 10:57:04 GMT) Full text and rfc822 format available.

Message #72 received at 284340@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Russ Allbery <rra@debian.org>
Cc: 284340@bugs.debian.org
Subject: Re: Bug#284340: Please remove reference to UC in BSD license
Date: Mon, 14 Jun 2010 12:55:40 +0200 (CEST)
On Sat, 12 Jun 2010, Russ Allbery wrote:

> Russ Allbery <rra@debian.org> writes:
> 
> > 2. Apply the patch to Policy included below, which removes this license
> >    from the list of licenses we tell people to reference from
> >    /usr/share/common-licenses and explains why.
> 
> This patch has now been merged for the next release.

Noted, thanks.

I assume we will have to wait some time before we can remove the
license itself from base-files (i.e. until all packages stop
referencing the file).




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#284340; Package debian-policy. (Mon, 14 Jun 2010 11:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emilio Pozuelo Monfort <pochu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Mon, 14 Jun 2010 11:03:03 GMT) Full text and rfc822 format available.

Message #77 received at 284340@bugs.debian.org (full text, mbox):

From: Emilio Pozuelo Monfort <pochu@debian.org>
To: Santiago Vila <sanvila@unex.es>, 284340@bugs.debian.org
Subject: Re: Bug#284340: Please remove reference to UC in BSD license
Date: Mon, 14 Jun 2010 12:59:37 +0200
On 14/06/10 12:55, Santiago Vila wrote:
> I assume we will have to wait some time before we can remove the
> license itself from base-files (i.e. until all packages stop
> referencing the file).

Yes, that would be step 3 in Russ' plan.

Cheers,
Emilio




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#284340; Package debian-policy. (Mon, 14 Jun 2010 17:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Mon, 14 Jun 2010 17:15:09 GMT) Full text and rfc822 format available.

Message #82 received at 284340@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Santiago Vila <sanvila@unex.es>
Cc: 284340@bugs.debian.org
Subject: Re: Bug#284340: Please remove reference to UC in BSD license
Date: Mon, 14 Jun 2010 10:10:49 -0700
Santiago Vila <sanvila@unex.es> writes:

> Noted, thanks.

> I assume we will have to wait some time before we can remove the license
> itself from base-files (i.e. until all packages stop referencing the
> file).

Yeah, the next release of Lintian will have a tag for it, so we'll be able
to start tracking the progress on lintian.d.o.  But I expect it will take
a little while.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Reply sent to Russ Allbery <rra@debian.org>:
You have taken responsibility. (Mon, 28 Jun 2010 05:21:06 GMT) Full text and rfc822 format available.

Notification sent to Francesco Poli <frx@firenze.linux.it>:
Bug acknowledged by developer. (Mon, 28 Jun 2010 05:21:06 GMT) Full text and rfc822 format available.

Message #87 received at 284340-close@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 284340-close@bugs.debian.org
Subject: Bug#284340: fixed in debian-policy 3.9.0.0
Date: Mon, 28 Jun 2010 05:17:08 +0000
Source: debian-policy
Source-Version: 3.9.0.0

We believe that the bug you reported is fixed in the latest version of
debian-policy, which is due to be installed in the Debian FTP archive:

debian-policy_3.9.0.0.dsc
  to main/d/debian-policy/debian-policy_3.9.0.0.dsc
debian-policy_3.9.0.0.tar.gz
  to main/d/debian-policy/debian-policy_3.9.0.0.tar.gz
debian-policy_3.9.0.0_all.deb
  to main/d/debian-policy/debian-policy_3.9.0.0_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 284340@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Russ Allbery <rra@debian.org> (supplier of updated debian-policy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 27 Jun 2010 21:40:52 -0700
Source: debian-policy
Binary: debian-policy
Architecture: source all
Version: 3.9.0.0
Distribution: unstable
Urgency: low
Maintainer: Debian Policy List <debian-policy@lists.debian.org>
Changed-By: Russ Allbery <rra@debian.org>
Description: 
 debian-policy - Debian Policy Manual and related documents
Closes: 224509 284340 328951 347581 442134 470633 478295 530687 547272 555009 555978 558430 560411 560839 562506 563425 566220 567845 569174 572253 575639 576594 577666 578854 579457 579461 582495 584521 584796 586163
Changes: 
 debian-policy (3.9.0.0) unstable; urgency=low
 .
   [ Colin Watson ]
   * Fix path to changelog.Debian.gz in footnote on documentation symlinks.
 .
   [ Bill Allombert ]
   * Convert upgrading-checklist to debiandoc-sgml. This generates a better
     looking .txt file.
     Closes: #567845
   * Fix typo in package_upstream-version.orig.tar.gz.
     Thanks, Salvatore Bonaccorso. (Closes: #558430)
   * Replace 'copyright and distribution license' by 'copyright information
     and distribution license' (three times).
     Proposed by Jonathan Nieder.
     Seconded:  Steve Langasek  <vorlon@debian.org>
     Seconded:  Thijs Kinkhorst <thijs@debian.org>
     Seconded:  Julien Cristau  <jcristau@debian.org>
     Seconded:  Gregor Herrmann <gregoa@debian.org>
     Closes: #566220
   * extend UID range of user accounts by removing the 30000-59999 reserved
     ranges.
     Proposed by Santiago Vila
     Seconded:  Russ Allbery    <rra@debian.org>
     Seconded:  Luk Claes       <luk@debian.org>
     Seconded:  Raphael Hertzog <hertzog@debian.org>
     Seconded:  Steve Langasek  <vorlon@debian.org>
     Closes: #582495
 .
   [ Russ Allbery ]
   * Policy: Overhaul Breaks, Conflicts, Provides, and Replaces
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Steve Langasek <vorlon@debian.org>
     Seconded: Raphael Hertzog <hertzog@debian.org>
     Closes: #578854
   * Policy: Support for architecture wildcards
     Wording: Manoj Srivastava <srivasta@debian.org>
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Seconded: Andrew McMillan <andrew@morphoss.com>
     Seconded: Steve Langasek <vorlon@debian.org>
     Closes: #530687
   * Policy: Except init.d scripts from the normal set -e requirement
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Raphael Hertzog <hertzog@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Closes: #562506
   * Policy: Maintainer scripts might not have a controlling terminal
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Seconded: Andrew McMillan <andrew@morphoss.com>
     Seconded: Steve Langasek <vorlon@debian.org>
     Closes: #224509
   * Policy: Fully specify the date format for changelog entries
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Andrew McMillan <andrew@morphoss.com>
     Seconded: Giacomo A. Catenazzi <cate@debian.org>
     Closes: #569174
   * Policy: Deprecate /usr/share/common-licenses/BSD
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Emilio Pozuelo Monfort <pochu@debian.org>
     Seconded: Jakub Wilk <jwilk@debian.org>
     Seconded: gregor herrmann <gregoa@debian.org>
     Closes: #284340
   * Policy: Document Checksums-Sha1 and Checksums-Sha256
     Wording: Russ Allbery <rra@stanford.edu>
     Seconded: Julien Cristau <jcristau@debian.org>
     Seconded: Emilio Pozuelo Monfort <pochu@debian.org>
     Closes: #478295
   * Policy: Prohibit duplicate field names in a control paragraph
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Steve Langasek <vorlon@debian.org>
     Seconded: Emilio Pozuelo Monfort <pochu@debian.org>
     Closes: #555978
   * Policy: Relax requirement that library dev files be in one package
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Julien Cristau <jcristau@debian.org>
     Seconded: Andrew McMillan <andrew@morphoss.com>
     Closes: #347581
   * Policy: Tighten requirements for maintainer-like fields
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Emilio Pozuelo Monfort <pochu@debian.org>
     Seconded: Andrew McMillan <andrew@morphoss.com>
     Closes: #575639
   * Policy: Update Format control field documentation
     Wording: Russ Allbery <rra@debian.org>
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Emilio Pozuelo Monfort <pochu27@gmail.com>
     Closes: #547272
   * Debconf: Add SETTITLE, like title but uses a template
     Wording: Frans Pop <elendil@planet.nl>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Ben Pfaff <blp@cs.stanford.edu>
     Closes: #560411
   * Perl Policy: Change perlapi provides to use an ABI version
     Wording: Niko Tyni <ntyni@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Brendan O'Dea <bod@debian.org>
     Seconded: Damyan Ivanov <dmn@debian.org>
     Closes: #579457
   * Perl Policy: Recommend DESTDIR instead of PREFIX with Makefile.PL
     Wording: Niko Tyni <ntyni@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Raphael Hertzog <hertzog@debian.org>
     Closes: #579461
   * Standardize dpkg state wording and bring it in line with dpkg,
     renaming Failed-Config to Half-Configured and use uniform
     capitalization and punctuation.  (Closes: #442134)
   * Remove documentation of alternative changelog formats.  This feature
     is not allowed in the Debian archive and will be documented in the
     dpkg-dev documentation instead.  The documentation that was in Policy
     was also somewhat outdated.  (Closes: #555009, see #584141)
   * Remove obsolete footnote sentence saying that dpkg-statoverride is a
     new feature and not well-known.  (Closes: #563425)
   * Clarify in the Perl Policy that perl-base is essential, not perl, and
     don't imply packages need to depend on perl-base.  (Closes: #576594)
   * Document the special debian-installer section in the list of current
     sections and add a link to the list of sections in unstable, which
     contains longer descriptions.  (Closes: #577666)
   * Remove the footnote listing every architecture known to dpkg.  This
     list can be trivially produced by dpkg-architecture -L (already
     noted), is very long, and quickly becomes out-of-date.
   * Move silly version ordering example to a footnote.  (Closes: #560839)
   * Reletter the process steps to not skip State C and use more
     traditional foreground and background colors for Process.html and
     README.html.  (Closes: #584521)
   * Fix typo in footnote about help2man.  (Closes: #584796)
   * Add an example for Replaces when a package is split.  Thanks, Uwe
     Kleine-K├Ânig.  (Closes: #572253)
   * Explicitly state that packages may remove unmodified, obsolete
     configuration files during  upgrade.  (Closes: #470633)
   * Clarify the wording around which build dependencies must be satisfied
     for different debian/rules targets and add a footnote to the
     description of the build-arch and build-indep targets explaining why
     this split does not currently work as desired.  (Closes: #328951)
   * Avoid "Debianised" or "Debianized" in favor of just "Debian" or
     "Debian package" as appropriate.  Patch from Ben Finney.
     (Closes: #586163)
   * Switch to source format 3.0 (native).
Checksums-Sha1: 
 e7274274bed3b8357edf0416fc56bea8c5fbda38 1204 debian-policy_3.9.0.0.dsc
 68440fc20a2694999ebcd0f8ee892830834214a1 685524 debian-policy_3.9.0.0.tar.gz
 90b8e568e49a305619fdf678883885da5257472c 1815308 debian-policy_3.9.0.0_all.deb
Checksums-Sha256: 
 66c2d84cf533a44f7222e01c55e4e084367fcd842bf2d2bc4d1db1357e256e9b 1204 debian-policy_3.9.0.0.dsc
 8f9ef5de4718c9a60f3438f26dc611ae4d2100de5390f1f447d9a8c06ec0ce16 685524 debian-policy_3.9.0.0.tar.gz
 1dee7e8fb58f5fbc15521fc0f5dee1205fdb789f168601a968b5d0fef44fed7b 1815308 debian-policy_3.9.0.0_all.deb
Files: 
 c71beefb49ac4aa69f6b3d04b565c670 1204 doc optional debian-policy_3.9.0.0.dsc
 908ec56efcedec9b0555c98c3394872c 685524 doc optional debian-policy_3.9.0.0.tar.gz
 95f2eb52d65901340719218486882f1a 1815308 doc optional debian-policy_3.9.0.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkwoLpkACgkQ+YXjQAr8dHaR4QCfWjm7h6KD6WplLtK1lg1DtCrl
3XEAn0BNzXIlAK2r2GarWYKw2Gzzhk5C
=y6Xs
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 05 Aug 2010 07:36:39 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Francesco Poli <invernomuto@paranoici.org> to control@bugs.debian.org. (Sun, 13 Feb 2011 11:26:57 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Francesco Poli <invernomuto@paranoici.org>' from 'Francesco Poli <frx@firenze.linux.it>' Request was from Francesco Poli <invernomuto@paranoici.org> to control@bugs.debian.org. (Sun, 13 Feb 2011 11:26:57 GMT) Full text and rfc822 format available.

Bug archived. Request was from Francesco Poli <invernomuto@paranoici.org> to control@bugs.debian.org. (Sun, 13 Feb 2011 11:26:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 11:30:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.